@echo off

:top
shift
if "%0" equ "" goto :eof
if "%0" equ "--cc" goto cc
if "%0" equ "--cflags" goto cflags
if "%0" equ "--ld" goto ld
if "%0" equ "--ldflags" goto ldflags
if "%0" equ "--ldflags-before-libs" goto ldflagsbeforelibs
if "%0" equ "--libs" goto libs
if "%0" equ "--libmruby-path" goto libmrubypath
if "%0" equ "--help" goto showhelp
echo Invalid Option
goto :eof

:cc
echo gcc
goto top

:cflags
echo -std=gnu99 -march=pentium4 -mtune=generic -O2 -pipe -DMRB_USE_RATIONAL -DMRB_USE_COMPLEX -I"C:/M/mingw-w64-mruby/src/build-MINGW32/include" -I"C:/M/mingw-w64-mruby/src/build-MINGW32/build/host/include" -I"C:/M/mingw-w64-mruby/src/build-MINGW32/mrbgems/mruby-time/include" -I"C:/M/mingw-w64-mruby/src/build-MINGW32/mrbgems/mruby-io/include"
goto top

:ld
echo g++
goto top

:libs
echo -lmruby -lm -lws2_32 -lwsock32 -lws2_32
goto top

:ldflags
echo -pipe -Wl,--no-seh -LC:/M/mingw-w64-mruby/src/build-MINGW32/build/host/lib
goto top

:ldflagsbeforelibs

goto top

:libmrubypath
echo C:/M/mingw-w64-mruby/src/build-MINGW32/build/host/lib/libmruby.a
goto top

:showhelp
echo Usage: mruby-config [switches]
echo   switches:
echo   --cc                       print compiler name
echo   --cflags                   print flags passed to compiler
echo   --ld                       print linker name
echo   --ldflags                  print flags passed to linker
echo   --ldflags-before-libs      print flags passed to linker before linked libraries
echo   --libs                     print linked libraries
echo   --libmruby-path            print libmruby path
